static void get_scheme(void);
Stab *stab_create(void);
Stab_entry *stab_find(Stab *,char *,int );
Stab_entry *stab_search(Stab *,char *,int );
int main(int ,char **);
void process_file(char *);
void init(void);
void find_entries(char *);
void pfnote(char *,int ,int ,char *,int ,int ,long );
void free_tree(NODE *);
void add_node(NODE *,NODE **);
void put_entries(NODE *);
int number_len(long );
int total_size_of_entries(NODE *);
void add_keyword(Stab *,char *,enum sym_type );
Stab *C_create_stab(int );
void C_create_stabs(void);
void C_entries(int );
void getline(long );
int PF_funcs(FILE *);
char tail(char *);
void takeprec(void);
void getit(void);
void Asm_funcs(FILE *);
void L_funcs(FILE *);
void L_getit(void);
void Scheme_funcs(FILE *);
void TEX_funcs(FILE *);
void TEX_mode(FILE *);
struct TEX_tabent *TEX_decode_env(char *,char *);
void TEX_getit(char *,int );
int TEX_Token(char *);
char *savestr(char *);
char *savenstr(char *,int );
void fatal(const char *,... );
void error(const char *,... );
char *concat(char *,char *,char *);
char *xmalloc(int );
char *xrealloc(char *,long );
